# KorAP-OAuth2-Web-Client

A simple java client demonstrating the procedure to obtain KorAP authorization. 

The client provides a service at http://localhost:7071/authorize to send an [authorization request](https://github.com/KorAP/Kustvakt/wiki/Service:-OAuth2-Authorization-Code) to KorAP authorization server.

The client expects an authorization code from KorAP authorization server at its redirect URI http://localhost:7071/redirect. It will exchanges the authorization code with an access token by sending a [token request](https://github.com/KorAP/Kustvakt/wiki/Service:-OAuth2-Token) to the KorAP authorization server.

## Setup for testing using KorAP test server

Copy the [application.properties](https://github.com/KorAP/KorAP-OAuth2-Web-Client/blob/master/src/main/resources/application.properties) to the root project folder.

Fill in the client id and secret (client credentials are obtained by registering a client at the test server).

Adjust the properties ```korap.authorize.url``` and ```korap.token.url```.